[gelöst] castnow

Du suchst ein Programm für einen bestimmten Zweck?
Antworten
TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

[gelöst] castnow

Beitrag von TermX » 07.01.2017 11:02:03

Hallo Leute,

beim Versuch castnow zu starten, erscheint die Fehlermeldung:

Code: Alles auswählen

$ castnow https://www.youtube.com/watch?v=zrJhUh2TXxQ
/usr/bin/env: node: Datei oder Verzeichnis nicht gefunden
Woran liegt das?

Angeschlossen mit Kabel an einer Fritzbox. Streamen per Android funktioniert.

Denke dass es schon mal funktioniert hat vom Rechner aus zu Streamen über Chromium.

Vielen Dank für die Hilfe!
Zuletzt geändert von TermX am 07.01.2017 12:22:03, insgesamt 1-mal geändert.

Benutzeravatar
sbruder
Beiträge: 304
Registriert: 24.06.2016 13:54:36
Lizenz eigener Beiträge: MIT Lizenz
Wohnort: Wallmersbach

Re: castnow

Beitrag von sbruder » 07.01.2017 11:16:39

TermX hat geschrieben: Woran liegt das?
Vermutlich weil
Terminal hat geschrieben: /usr/bin/env: node: Datei oder Verzeichnis nicht gefunden
Schon mal versucht, ob es mit installiertem NodeJS besser geht?

TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

Re: castnow

Beitrag von TermX » 07.01.2017 11:24:28

Alles da:

Code: Alles auswählen

$ locate bin/env
/usr/bin/env
$ dpkg -l nodejs
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name                      Version           Architektur       Beschreibung
+++-=========================-=================-=================-=======================================================
ii  nodejs                    0.10.29~dfsg-2    amd64             evented I/O for V8 javascript
Habe noch nie was mit NodeJS gemacht, daher kann ich nur spekulieren :?

Installiert habe ich mit npm, hat auch geklappt, abgesehen von einigen Warnungen. Falls es weiterhilft hier die Ausgabe, vielleicht kennst sich wer damit aus:

Code: Alles auswählen

# npm install castnow -g
npm WARN engine windows-no-runnable@0.0.6: wanted: {"node":"0.6"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine get-stdin@5.0.1: wanted: {"node":">=0.12.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine unzip-response@2.0.1: wanted: {"node":">=4"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN deprecated node-uuid@1.4.7: use uuid module instead
npm WARN engine hawk@0.10.2: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine mdns-js@0.5.3: wanted: {"node":">= 4.1.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine dns-js@0.2.1: wanted: {"node":">= 4.1.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine sntp@0.1.4: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine cryptiles@0.1.3: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine boom@0.3.8: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine hoek@0.7.6: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine xmlbuilder@8.2.2: wanted: {"node":">=4.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine unzip-response@2.0.1: wanted: {"node":">=4"} (current: {"node":"0.10.29","npm":"1.4.21"})
/usr/local/bin/castnow -> /usr/local/lib/node_modules/castnow/index.js
castnow@0.4.17 /usr/local/lib/node_modules/castnow
├── query-string@1.0.1
├── debounced-seeker@1.0.0
├── range-parser@1.2.0
├── array-loop@1.0.0
├── keypress@0.2.1
├── stream-transcoder@0.0.5
├── xtend@4.0.1
├── fs-extended@0.2.1
├── mime@1.3.4
├── router@0.6.2
├── minimist@1.2.0
├── got@1.2.2 (object-assign@1.0.0)
├── xml2js@0.4.17 (sax@1.2.1, xmlbuilder@4.2.1)
├── debug@2.6.0 (ms@0.7.2)
├── playerui@1.2.0 (single-line-log@0.4.1, pad@0.0.5, chalk@0.5.1)
├── chalk@1.0.0 (escape-string-regexp@1.0.5, ansi-styles@2.2.1, supports-color@1.3.1, strip-ansi@2.0.1, has-ansi@1.0.3)
├── chromecast-player@0.2.3 (time-line@1.0.1, mutate.js@0.2.0, promiscuous@0.6.0, chromecast-scanner@0.5.0, ware@1.3.0)
├── internal-ip@1.2.0 (meow@3.7.0)
├── read-torrent@1.3.0 (magnet-uri@2.0.1, parse-torrent@4.1.0, request@2.16.6)
├── srt2vtt@1.3.1 (utfx@1.0.1, codepage@1.4.0)
├── castv2-client@1.2.0 (castv2@0.1.9)
└── peerflix@0.34.0 (network-address@0.0.5, clivas@0.1.4, open@0.0.5, windows-no-runnable@0.0.6, numeral@1.5.6, optimist@0.6.1, rc@0.4.0, parse-torrent@5.8.1, pump@0.3.5, airplay-js@0.2.16, inquirer@0.8.5, torrent-stream@1.0.3)

Benutzeravatar
sbruder
Beiträge: 304
Registriert: 24.06.2016 13:54:36
Lizenz eigener Beiträge: MIT Lizenz
Wohnort: Wallmersbach

Re: castnow

Beitrag von sbruder » 07.01.2017 11:32:58

Code: Alles auswählen

which node
sagt was?

TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

Re: castnow

Beitrag von TermX » 07.01.2017 11:46:54

kappiere ich jetzt leider nicht :hail:

TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

Re: castnow

Beitrag von TermX » 07.01.2017 11:49:19

Code: Alles auswählen

# npm install node -g
npm WARN deprecated node@0.0.0: To update or install node, go to http://nodejs.org/
node@0.0.0 /usr/local/lib/node_modules/node
Fehlt da was?

Benutzeravatar
TRex
Moderator
Beiträge: 5657
Registriert: 23.11.2006 12:23:54
Lizenz eigener Beiträge: MIT Lizenz
Wohnort: KA

Re: castnow

Beitrag von TRex » 07.01.2017 11:55:27

TermX hat geschrieben:kappiere ich jetzt leider nicht :hail:
sbruder hat geschrieben:

Code: Alles auswählen

which node
sagt was?
Will, dass du "which node" in das Terminal eingibst.
Jesus saves. Buddha does incremental backups.
Windows ist doof, Linux funktioniert nichtDon't break debian!

TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

Re: castnow

Beitrag von TermX » 07.01.2017 12:05:58

Code: Alles auswählen

# npm install castnow which node -g
npm WARN deprecated node@0.0.0: To update or install node, go to http://nodejs.org/
/usr/local/bin/which -> /usr/local/lib/node_modules/which/bin/which
npm WARN engine windows-no-runnable@0.0.6: wanted: {"node":"0.6"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine get-stdin@5.0.1: wanted: {"node":">=0.12.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine unzip-response@2.0.1: wanted: {"node":">=4"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN deprecated node-uuid@1.4.7: use uuid module instead
npm WARN engine hawk@0.10.2: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine sntp@0.1.4: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine cryptiles@0.1.3: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine boom@0.3.8: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine hoek@0.7.6: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine unzip-response@2.0.1: wanted: {"node":">=4"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine mdns-js@0.5.3: wanted: {"node":">= 4.1.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine dns-js@0.2.1: wanted: {"node":">= 4.1.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
npm WARN engine xmlbuilder@8.2.2: wanted: {"node":">=4.0"} (current: {"node":"0.10.29","npm":"1.4.21"})
/usr/local/bin/castnow -> /usr/local/lib/node_modules/castnow/index.js
node@0.0.0 /usr/local/lib/node_modules/node

which@1.2.12 /usr/local/lib/node_modules/which
└── isexe@1.1.2

castnow@0.4.17 /usr/local/lib/node_modules/castnow
├── query-string@1.0.1
├── debounced-seeker@1.0.0
├── range-parser@1.2.0
├── array-loop@1.0.0
├── keypress@0.2.1
├── stream-transcoder@0.0.5
├── xtend@4.0.1
├── fs-extended@0.2.1
├── mime@1.3.4
├── router@0.6.2
├── minimist@1.2.0
├── got@1.2.2 (object-assign@1.0.0)
├── chalk@1.0.0 (escape-string-regexp@1.0.5, ansi-styles@2.2.1, supports-color@1.3.1, strip-ansi@2.0.1, has-ansi@1.0.3)
├── playerui@1.2.0 (single-line-log@0.4.1, pad@0.0.5, chalk@0.5.1)
├── chromecast-player@0.2.3 (time-line@1.0.1, mutate.js@0.2.0, promiscuous@0.6.0, ware@1.3.0, chromecast-scanner@0.5.0)
├── read-torrent@1.3.0 (magnet-uri@2.0.1, request@2.16.6, parse-torrent@4.1.0)
├── debug@2.6.0 (ms@0.7.2)
├── srt2vtt@1.3.1 (utfx@1.0.1, codepage@1.4.0)
├── xml2js@0.4.17 (sax@1.2.1, xmlbuilder@4.2.1)
├── peerflix@0.34.0 (network-address@0.0.5, clivas@0.1.4, open@0.0.5, windows-no-runnable@0.0.6, rc@0.4.0, pump@0.3.5, optimist@0.6.1, numeral@1.5.6, parse-torrent@5.8.1, torrent-stream@1.0.3, airplay-js@0.2.16, inquirer@0.8.5)
├── internal-ip@1.2.0 (meow@3.7.0)
└── castv2-client@1.2.0 (castv2@0.1.9)
wenn ich das richtig kappiert habe...

Bringt allerdings nichts:

Code: Alles auswählen

$ castnow https://www.youtube.com/watch?v=zrJhUh2TXxQ which node
/usr/bin/env: node: Datei oder Verzeichnis nicht gefunden
Habe jetzt node heruntergeladen. Es sind Binaries, darunter bin/node.

Code: Alles auswählen

bin$ ./node --version
v6.9.4
auf dem Rechner hab ich aber node-js

Code: Alles auswählen

$ nodejs --version
v0.10.29
Das kann jetzt nicht die Lösung sein...

TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

Re: castnow

Beitrag von TermX » 07.01.2017 12:07:47

Ach ja, wenn ich nur which node eingeben, passiert einfach nichts... Weder Fehler noch sonst was, einfach nichts :mrgreen:

Benutzeravatar
TRex
Moderator
Beiträge: 5657
Registriert: 23.11.2006 12:23:54
Lizenz eigener Beiträge: MIT Lizenz
Wohnort: KA

Re: castnow

Beitrag von TRex » 07.01.2017 12:12:47

Ja, das ist die erwartete Ausgabe: "es gibt kein node".


In debian heißt die binary nodejs, weil bereits ein anderes Programm node heißt. Das Paket Debiannodejs-legacy erstellt nen symlink für dich, der da node heißt und eben die Kompatibilität mit nicht-debian-node-basierenden Tools wiederherstellt.
Jesus saves. Buddha does incremental backups.
Windows ist doof, Linux funktioniert nichtDon't break debian!

TermX
Beiträge: 20
Registriert: 05.12.2016 15:08:35

Re: castnow

Beitrag von TermX » 07.01.2017 12:21:38

Ok, habe jetzt hinbekommen:

https://nodejs.org/en/download/package- ... tributions

Code: Alles auswählen

# node --version
v6.9.4
# nodejs --version
v6.9.4
nodejs-legacy habe ich jetzt nicht weiter installiert. Und node ist Amateurfunkprogramm, daher wahrscheinlich. Stört mich jetzt aber nicht weiter.

Vielen Dank

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste